Storrik LogoStorrik Docs
APIReference

Retrieve a transaction

Retrieves a client-safe view of a transaction using a publishable key. Intended for checkout or embed flows to poll or fetch transaction status.

The response excludes all sensitive fields such as fees, customer details, metadata.

GET
/v1/payments/transactions/{transaction_id}/client
Authorization<token>

Use Authorization: Bearer pk_...

In: header

Path Parameters

transaction_idstring

The transaction identifier.

Response Body

curl -X GET "https://api.storrik.com/v1/payments/transactions/string/client"
{
  "ok": true,
  "transaction": {
    "id": "txn_abc123",
    "status": "incomplete",
    "amount": 1299,
    "currency": "USD",
    "quantity": 1,
    "productId": "string",
    "variantId": "string",
    "createdAt": 1736000000,
    "updatedAt": 1736000100
  }
}
Empty
Empty
Empty
Empty